{
  "name": "{{ agave.appsPrefix }}-concat-fastq-lanes-gf2",
  "version": "0.3",
  "label": "Concatenate lanes for a standard Illumina sample",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/concat-fastq-lanes-gf2-0.3",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "concat-fastq-lanes-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input_folder",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "prefix",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "extension",
      "value": {
        "required": false,
        "default": "fastq",
        "type": "string"
      }
    },
    { "id": "sample_name",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}